data_review_and_upload 0.0.4

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 59

data_review_and_upload is a review map data and submit to server package for Flutter #

pub package

A Flutter package for iOS and Android for review map data and submit to server.

Demo #

Installation #

First, add data_review_and_upload as a dependency in your pubspec.yaml file. Second,

iOS #

No configuration required - the plugin should work out of the box.

Android #

On Android you'll need to add either the INTERNET permission to your Android Manifest. Todo so open the AndroidManifest.xml file and one of the following two lines as direct children of the <manifest> tag:

<uses-permission android:name="android.permission.INTERNET" />

Code for the Full page location and image picker widget #

import 'package:data_review_and_upload/data_review_and_upload.dart';

class DataReviewAndUpload extends StatelessWidget {
  final Map mapData;
  const PageSeven({Key key, this.mapData}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return DataReviewAndUpload(
      mapData: mapData,
    );
  }
}

[0.0.4]

  • Disable landScape Mode

[0.0.3]

  • update dynamic Api and widget

[0.0.2]

  • Update readme file

[0.0.1]

  • Initial release

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  data_review_and_upload: ^0.0.4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:data_review_and_upload/data_review_and_upload.dart';
  
Version Uploaded Documentation Archive
0.0.4 Apr 4, 2019 Go to the documentation of data_review_and_upload 0.0.4 Download data_review_and_upload 0.0.4 archive
0.0.3 Apr 4, 2019 Go to the documentation of data_review_and_upload 0.0.3 Download data_review_and_upload 0.0.3 archive
0.0.2 Apr 3, 2019 Go to the documentation of data_review_and_upload 0.0.2 Download data_review_and_upload 0.0.2 archive
0.0.1 Apr 3, 2019 Go to the documentation of data_review_and_upload 0.0.1 Download data_review_and_upload 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
62
Health:
Code health derived from static analysis. [more]
74
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
28
Overall:
Weighted score of the above. [more]
59
Learn more about scoring.

We analyzed this package on Jun 18, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.2
  • pana: 0.12.18
  • Flutter: 1.5.4-hotfix.2

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health issues and suggestions

Fix lib/data_review_and_upload.dart. (-25 points)

Analysis of lib/data_review_and_upload.dart failed with 1 error:

line 155 col 44: Too many positional arguments: 1 expected, but 2 found.

Fix lib/prograss_indicator.dart. (-1.49 points)

Analysis of lib/prograss_indicator.dart reported 3 hints:

line 13 col 31: The value of the field '_context' isn't used.

line 61 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: _MyDialog._dialog

line 65 col 13: The member 'setState' can only be used within instance members of subclasses of 'package:flutter/src/widgets/framework.dart'.

Fix lib/utils.dart. (-0.50 points)

Analysis of lib/utils.dart reported 1 hint:

line 11 col 9: 'child' is deprecated and shouldn't be used.

Maintenance issues and suggestions

Support latest dependencies. (-35 points)

The version constraint in pubspec.yaml does not support the latest published versions for 6 dependencies (1 direct: flutter_map).

The package description is too short. (-15 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and data_review_and_upload.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Update README.md. (-2 points)

1 image link is insecure (e.g. http://sheikhsoft.com/screensort/data_review_and_upload.png), use https URLs instead.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
flutter_map ^0.5.0 0.5.5+2 0.6.1+2
http ^0.12.0+1 0.12.0+2
image ^2.0.7 2.1.4
Transitive dependencies
ansicolor 1.0.2
archive 2.0.10
args 1.5.2
async 2.2.0
cached_network_image 0.8.0
charcode 1.1.2
collection 1.14.11
console_log_handler 1.1.6
convert 2.1.1
crypto 2.0.6
flutter_cache_manager 0.3.2
flutter_image 1.0.0 2.0.0-dev.1
http_parser 3.1.3
intl 0.15.8
latlong 0.6.1
logging 0.11.3+2
matcher 0.12.5
meta 1.1.6 1.1.7
path 1.6.2
path_provider 0.5.0+1 1.1.0
pedantic 1.7.0
petitparser 2.2.1 2.3.0
positioned_tap_detector 1.0.2
quiver 2.0.3
sky_engine 0.0.99
source_span 1.5.5
sqflite 1.1.5
stack_trace 1.9.3
string_scanner 1.0.4
synchronized 2.1.0+1
term_glyph 1.1.0
transparent_image 1.0.0
tuple 1.0.2
typed_data 1.1.6
uuid 2.0.2
validate 1.7.0
vector_math 2.0.8
xml 3.4.1 3.5.0
Dev dependencies
flutter_test